<?php

/**
 * DanTheCoder - Innovative Web Solutions
 *
 * @author  DanTheCoder
 * @link    http://danthecoder.com
*/

if ( ! defined( 'WPINC' ) ) die;
if ( ! class_exists( 'DTC_WooMobify_Helpers' ) ) die;	

class DTC_WooMobify_Helpers {

	public function __construct() {
	
	}


	/**
	 * Default options for settings
	*/
	function settings_default_options() {
		
		$options = array(
			'license_key'		=> 'test',
			'enable_woomobify'	=> 0,
			'enable_tablet'		=> 0,
			'enable_store_only' => 1,		
			'save_settings' 	=> 1,
			'site_logo' 		=> '',
			'site_name' 		=> get_bloginfo('name'),
			'enable_toolbar'	=> 1,
			'enable_left_panel'	=> 1,
			'enable_rtl' 		=> 0,
			'clean_head'		=> 1,
			'footer_copyright'	=> '&copy; '.date('Y').' '.get_bloginfo('name'),

			'theming' => array(
				'other_devices' 		=> 'material',
				'ios_devices' 			=> 'ios',
				'android_devices' 		=> 'material'
			),

			'home_slider' => array(
				'one'=> array(
					'img'	=> '',
					'url'	=> ''
				),
				'two'=> array(
					'img'	=> '',
					'url'	=> ''
				),
				'three'=> array(
					'img'	=> '',
					'url'	=> ''
				),	
				'four'=> array(
					'img'	=> '',
					'url'	=> ''
				),
				'five'=> array(
					'img'	=> '',
					'url'	=> ''
				),
				'six'=> array(
					'img'	=> '',
					'url'	=> ''
				)	
			),

			'favicon' => array(
				'url' => '',
				'name' => ''
			),

			'color_scheme' => array(	
				'body_bg'			=> '',
				'primary' 			=> '#0eb698',
				'links' 			=> '#0eb698',
				'address_bar' 		=> '#fff',
				'navbar_bg' 		=> '',
				'navbar_text' 		=> '',
				'button_bg' 		=> '#0eb698',
				'button_text'		=> '#fff',
				'cart_badge_bg'		=> '#E91E63',
				'cart_badge_text'	=> '#fff',
				'label_bg' 			=> '#E91E63',
				'label_text' 		=> '#fff'
			),

			'catalog' => array(
				'listing_layout'	=> 'list',
				'add_to_cart'		=> 1,
			),

			'single_product' => array(
				'enable_related'	=> 1,
				'enable_reviews'	=> 1
			),

			'cart' => array(
				'enable_coupons' 		=> 1,
				'enable_cart_totals'	=> 1,
				'toolbar_navigation'	=> 1
			),

			'account' => array(
				'dashboard_layout'	=> 'list'
			),

			'checkout' => array(
				'toolbar_navigation'	=> 1
			),

			'category' => array(
				'layout'	=> 'cards'
			),

			'custom_code' => array(
				'css'		=> '',
				'js'		=> '',
				'analytics'	=> ''
			),

			'homepage' => array(
				'slot_one'		=> 'slider',
				'slot_two'		=> 'hscroll_new',
				'slot_three'	=> 'grid_best',
				'slot_four'		=> '',
				'slot_five'		=> '',
				'slot_six'		=> '',
				'slot_seven'	=> '',
				'slot_eight'	=> ''
			)
		);

		return $options;
	}


	/**
	 * Use WordPress Image editor to manipulate an image
	*/
	function image_editor( $method, $file, $resize_sizes = NULL) {
		$image = wp_get_image_editor( $file );

		// Resize method
		if ( $method = 'resize') {
			if ( ! is_wp_error( $image ) ) {
				$resize = $image->multi_resize( $resize_sizes );
				return $resize;
			} else {
				return false;
			}
		}

		return;
	}


	/**
     * Download a remote file
     * Download a file from a remote url
     * unzip that file in a specefic location
     * @param file_source - url to the file
     * @param location - location where the file is to be saved
     * @return bool
    */
	function file_downloader( $file_source, $location ) {
		set_time_limit(0);

		// Download the file
		$curl = curl_init($file_source);
	    curl_setopt($curl, CURLOPT_NOBODY, true);
	    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	    curl_setopt($curl, CURLOPT_HEADER, true);
	    curl_exec($curl);
	    $data = curl_getinfo($curl, CURLINFO_HTTP_CODE);

		if ( $data == 200 ) {
			$remote_zip = fopen($file_source, 'rb');

	     	$server_path = $location;
	        $local_file_name = 'dtcwm-temp-file.zip';

	        // Save the file locally
	        if ($local_zip = fopen($server_path . '/' .$local_file_name, 'wb')) {
	            while ($buffer = fread($remote_zip, 8192)) {
	            	fwrite($local_zip, $buffer);
		        }
		        fclose($local_zip);
	        }

	        fclose($remote_zip);

	        // Unzip the file
			WP_Filesystem();
			$downloaded_file = $server_path . '/' .$local_file_name;
			$unzip_result = unzip_file( $downloaded_file, $server_path );
			
			if ( $unzip_result ) {
				unlink( $server_path . '/' .$local_file_name );
				return TRUE;      
			} 
			else {
				return FALSE;      
			}
		} 
		else {
			return FALSE;
		}
	}


    /**
     * Delete a directory
     * Download a a directory and all files
     * @param dir_path - path to the directory
    */
	function delete_dir( $dir_path ) {
		if( is_dir($dir_path) ) {

		    if (substr($dir_path, strlen($dir_path) - 1, 1) != '/') {
		        $dir_path .= '/';
		    }

		    $files = glob($dir_path . '*', GLOB_MARK);
		    foreach ($files as $file) {
		        if (is_dir($file)) {
		            self::delete_dir($file);
		        } else {
		            unlink($file);
		        }
		    }
		    rmdir($dir_path);
		}
	}

}