<?php



/**

 * DanTheCoder - Innovative Web Solutions

 *

 * @author  DanTheCoder

 * @link    http://danthecoder.com

*/



if ( ! defined( 'WPINC' ) ) die;

if ( ! class_exists( 'DTC_WooMobify_Settings' ) ) die;	



class DTC_WooMobify_Settings {



	protected static $instance = null;



	public function __construct() {

		$this->globals = DTC_WooMobify_Core::instance();



		add_action( 'admin_head', array($this, 'hook_css') );

		add_action( 'init', array( $this, 'left_panel_menu') );

		add_action( 'wp_ajax_dtcwm_settings_action', array( $this, 'ajax_settings_process') );

		add_action( 'wp_ajax_dtcwm_images_action', array( $this, 'ajax_image_process') );

		add_action( 'wp_ajax_dtcwm_activation_action', array($this, 'ajax_activation_process') );

	}





	/**

	 * Set Instance

	*/

	public static function instance() {

		if ( self::$instance == null ) self::$instance = new self;

		return self::$instance;

	}





	/**

	 * Register Left Panel menu

	*/

	public function left_panel_menu() {

		register_nav_menu( 'woomobify-menu', __( 'WooMobify Menu', 'woomobify' ) );

	}





	/**

	 * Ajax save settings option

	*/

	public function ajax_settings_process() {

		// Check Nonce

		if ( ! isset( $_POST['dtcwm_settings_nonce'] ) || !wp_verify_nonce( $_POST['dtcwm_settings_nonce'], 'dtcwm_settings_action' ) )

			die('Permission Denied');



		$settings_options = get_option( $this->globals['settings_options_key'] );



		$settings_options['enable_woomobify'] 	= (int)$_POST["enable_woomobify"];

		$settings_options['enable_tablet'] 		= (int)$_POST["enable_tablet"];

		$settings_options['save_settings'] 		= (int)$_POST["save_settings"];

		$settings_options['footer_copyright']	= trim( $_POST["footer_copyright"] );

		$settings_options['enable_rtl'] 		= (int)$_POST["enable_rtl"];

		//$settings_options['enable_store_only']  = (int)$_POST["enable_store_only"];

		$settings_options['site_name'] 			= trim( $_POST["site_name"] );

		$settings_options['enable_toolbar'] 	= (int)$_POST["enable_toolbar"];

		$settings_options['enable_left_panel'] 	= (int)$_POST["enable_left_panel"];

		$settings_options['clean_head']			= (int)$_POST["opt_clean_head"];



		$settings_options['theming']['ios_devices']		= $_POST["theming-ios-devices"];

		$settings_options['theming']['android_devices']	= $_POST["theming-android-devices"];

		$settings_options['theming']['other_devices']	= $_POST["theming-other-devices"];



		$settings_options['catalog']['add_to_cart']		= (int)$_POST["catalog-add_to_cart"];

		$settings_options['catalog']['listing_layout']	= $_POST["catalog-listing_layout"];



		$settings_options['single_product']['enable_related']	= (int)$_POST["single_product-enable_related"];

		$settings_options['single_product']['enable_reviews']	= (int)$_POST["single_product-enable_reviews"];



		$settings_options['cart']['enable_coupons']		= (int)$_POST["cart-enable_coupons"];

		$settings_options['cart']['enable_cart_totals']	= (int)$_POST["cart-enable_cart_totals"];

		$settings_options['cart']['toolbar_navigation']	= (int)$_POST["cart-toolbar_navigation"];



		$settings_options['checkout']['toolbar_navigation']	= (int)$_POST["checkout-toolbar_navigation"];



		$settings_options['account']['dashboard_layout']	= $_POST["account-dashboard_layout"];

		

		$settings_options['category']['layout']	= $_POST["category-layout"];



		$settings_options['custom_code']['css']			= stripslashes( trim( $_POST["custom_css"] ) );

		$settings_options['custom_code']['js']			= stripslashes( trim( $_POST["custom_js"] ) );

		$settings_options['custom_code']['analytics']	= stripslashes( trim( $_POST["analytics_code"] ) );



		$settings_options['color_scheme']['body_bg']			= $_POST["color-body_bg"];

		$settings_options['color_scheme']['primary']			= $_POST["color-primary"];

		$settings_options['color_scheme']['links']				= $_POST["color-links"];

		$settings_options['color_scheme']['address_bar']		= $_POST["color-address_bar"];

		$settings_options['color_scheme']['navbar_bg']			= $_POST["color-navbar_bg"];

		$settings_options['color_scheme']['navbar_text']		= $_POST["color-navbar_text"];

		$settings_options['color_scheme']['button_bg']			= $_POST["color-button_bg"];

		$settings_options['color_scheme']['button_text']		= $_POST["color-button_text"];

		$settings_options['color_scheme']['cart_badge_bg']		= $_POST["color-cart_badge_bg"];

		$settings_options['color_scheme']['cart_badge_text']	= $_POST["color-cart_badge_text"];

		$settings_options['color_scheme']['label_bg']			= $_POST["color-label_bg"];

		$settings_options['color_scheme']['label_text']			= $_POST["color-label_text"];



		$settings_options['home_slider']['one']['url']		= $_POST["home_slider_one_link"];

		$settings_options['home_slider']['two']['url']		= $_POST["home_slider_two_link"];

		$settings_options['home_slider']['three']['url']	= $_POST["home_slider_three_link"];
		
		$settings_options['home_slider']['four']['url']	    = $_POST["home_slider_four_link"];
		
		$settings_options['home_slider']['five']['url']	    = $_POST["home_slider_five_link"];
		
		$settings_options['home_slider']['six']['url']	    = $_POST["home_slider_six_link"];
		
		
		


		$settings_options['homepage']['slot_one'] 	= $_POST["homepage-slot_one"];
		
		$settings_options['homepage']['cat_name_hats'] 	= $_POST["cat_name_hats"];
		$settings_options['homepage']['cat_name_jeans'] 	= $_POST["cat_name_jeans"];
		$settings_options['homepage']['cat_name_shirts'] 	= $_POST["cat_name_shirts"];
		
		$settings_options['homepage']['cat_name_shoes'] 	= $_POST["cat_name_shoes"];

		$settings_options['homepage']['slot_two'] 	= $_POST["homepage-slot_two"];

		$settings_options['homepage']['slot_three'] = $_POST["homepage-slot_three"];

		$settings_options['homepage']['slot_four']	= $_POST["homepage-slot_four"];
		
		$settings_options['homepage']['slot_five']	= $_POST["homepage-slot_five"];
		
		$settings_options['homepage']['slot_six']	= $_POST["homepage-slot_six"];
		
		$settings_options['homepage']['slot_seven']	= $_POST["homepage-slot_seven"];
		
		$settings_options['homepage']['slot_eight']	= $_POST["homepage-slot_eight"];

		

		$do_change = update_option( $this->globals['settings_options_key'], $settings_options );

		

		/*if ( $do_change ) {

			echo "done";

		}

		else {

			echo "failed";

		}*/



		die();

	}





	/**

	 * Ajax upload images

	*/

	public function ajax_image_process() {

		// Check Nonce

		if ( ! isset( $_POST['nonce'] ) || ! wp_verify_nonce( $_POST['nonce'], 'dtcwm_images_nonce' ) )

			die('Permission Denied');



		$settings_options = get_option( $this->globals['settings_options_key'] );

	

		$upload_dir = wp_upload_dir();

		$date_format = date( 'Y/m', strtotime( $_POST["file_date"] ) );



		// We are doing an image upload

		if ( $_POST['method'] == 'upload' ) {



			// Site logo

			if ( $_POST['input_name'] == 'site_logo' ) {

				$settings_options['site_logo'] = $_POST["file_url"];

				update_option( $this->globals['settings_options_key'], $settings_options );



				die();

			}



			// Favicons

			if ( $_POST['input_name'] == 'favicon' ) {

				$file = ''.$upload_dir['basedir'].'/'.$date_format.'/'.$_POST["file_name"];

				$raw_filename = pathinfo( $file, PATHINFO_FILENAME );



				$settings_options['favicon']['url'] = $upload_dir['baseurl'].'/'.$date_format.'/';

				$settings_options['favicon']['name'] = $raw_filename;

				

				update_option( $this->globals['settings_options_key'], $settings_options );



				// resize the image

				$sizes_array = 	array(

					array ('width' => 16, 'height' => 16, 'crop' => false),

					array ('width' => 32, 'height' => 32, 'crop' => false),

					array ('width' => 57, 'height' => 57, 'crop' => false),

					array ('width' => 60, 'height' => 60, 'crop' => false),

					array ('width' => 72, 'height' => 72, 'crop' => false),

					array ('width' => 76, 'height' => 76, 'crop' => false),

					array ('width' => 96, 'height' => 96, 'crop' => false),

					array ('width' => 114, 'height' => 114, 'crop' => false),

					array ('width' => 120, 'height' => 120, 'crop' => false),

					array ('width' => 144, 'height' => 144, 'crop' => false),

					array ('width' => 152, 'height' => 152, 'crop' => false),

					array ('width' => 180, 'height' => 180, 'crop' => false),

					array ('width' => 192, 'height' => 192, 'crop' => false)

				);





				$this->helpers = new DTC_WooMobify_Helpers();



				$this->helpers->image_editor( $method = 'resize', $file, $sizes_array );



				die();

			}



			echo $_POST['input_name'];

			



			// Home Slider One

			if ( $_POST['input_name'] == 'home_slider_one' ) {

				$settings_options['home_slider']['one']['img'] = $_POST["file_url"];

				update_option( $this->globals['settings_options_key'], $settings_options );



				die();

			}



			// Home Slider Two

			if ( $_POST['input_name'] == 'home_slider_two' ) {

				$settings_options['home_slider']['two']['img'] = $_POST["file_url"];

				update_option( $this->globals['settings_options_key'], $settings_options );



				die();

			}



			// Home Slider Three

			if ( $_POST['input_name'] == 'home_slider_three' ) {

				$settings_options['home_slider']['three']['img'] = $_POST["file_url"];

				update_option( $this->globals['settings_options_key'], $settings_options );



				die();

			}
			
			
			
			// Home Slider Four

			if ( $_POST['input_name'] == 'home_slider_four' ) {

				$settings_options['home_slider']['four']['img'] = $_POST["file_url"];

				update_option( $this->globals['settings_options_key'], $settings_options );



				die();

			}
			
			
			// Home Slider Five

			if ( $_POST['input_name'] == 'home_slider_five' ) {

				$settings_options['home_slider']['five']['img'] = $_POST["file_url"];

				update_option( $this->globals['settings_options_key'], $settings_options );



				die();

			}
			
			// Home Slider Six

			if ( $_POST['input_name'] == 'home_slider_six' ) {

				$settings_options['home_slider']['six']['img'] = $_POST["file_url"];

				update_option( $this->globals['settings_options_key'], $settings_options );



				die();

			}




		}

		// we are deleting an image

		else if ( $_POST['method'] == 'delete' ) {

			$file_url = $settings_options[$_POST["input_name"]];



			if ( $_POST["input_name"] == "site_logo" ) {

				$settings_options[$_POST["input_name"]] = '';

			}

			else if ( $_POST["input_name"] == "favicon" ) {

				$favicon 	= $settings_options[$_POST["input_name"]];

				$file_url 	= $favicon['url'].''.$favicon['name'].'.png';



				// reset options

				$settings_options['favicon']['url'] = '';

				$settings_options['favicon']['name'] = '';

			}

			else if ( $_POST["input_name"] == "home_slider_one" ) {

				$settings_options['home_slider']['one']['img'] = '';

			}

			else if ( $_POST["input_name"] == "home_slider_two" ) {

				$settings_options['home_slider']['two']['img'] = '';

			}

			else if ( $_POST["input_name"] == "home_slider_three" ) {

				$settings_options['home_slider']['three']['img'] = '';

			}
			
			else if ( $_POST["input_name"] == "home_slider_four" ) {

				$settings_options['home_slider']['four']['img'] = '';

			}
			
			else if ( $_POST["input_name"] == "home_slider_five" ) {

				$settings_options['home_slider']['five']['img'] = '';

			}
			
			else if ( $_POST["input_name"] == "home_slider_six" ) {

				$settings_options['home_slider']['six']['img'] = '';

			}



			update_option( $this->globals['settings_options_key'], $settings_options );

		}



		die();

	}





	/**

	 * Ajax license validation

	*/

	public function ajax_activation_process() {

		

		// Security Check

		if ( ! isset( $_POST['dtcwm_activation_nonce'] ) || !wp_verify_nonce($_POST['dtcwm_activation_nonce'], 'dtcwm_activation_action') )

			die('Permission Denied');



		$license_key = trim( $_POST["license_key"] );

	

		$response = wp_remote_get( $this->globals['plugin_connect_url'].'license-verify/'.$license_key );

		if( is_array($response) ) {

			$result = json_decode( $response['body'] );



			// Validate the key

			if ( $result->status == FALSE ) {

				echo json_encode( array('success' => false, 'message' => $result->message) );

			} else {



				// Complete the set up

				$this->helpers = new DTC_WooMobify_Helpers();



				$settings_options = get_option( $this->globals['settings_options_key'] );



				// Update settings

				$settings_options['license_key'] = $license_key;

				$settings_options['enable_woomobify'] = 1;

				update_option( $this->globals['settings_options_key'], $settings_options );



				// Download and install the theme

				$download_url = $this->globals['plugin_connect_url'].'/download-woomobify/'.$license_key;

				$this->helpers->delete_dir( get_theme_root() . '/'. $this->globals['theme_folder_name'] );

				$install_theme = $this->helpers->file_downloader( $download_url, get_theme_root() );



				if ( $install_theme ) {

					echo json_encode( array('success' => true, 'message' => 'Activation was successfully. Please wait...', 'redirect_url' => get_bloginfo('wpurl') . '/wp-admin/admin.php?page='. $this->globals['plugin_slug']) );

				} else {

					echo json_encode( array('success' => false, 'message' => 'Unable to activate WooMobify at the moment, please try again or contact support if the problem continues.') );

				}



			}



		} else {

			echo json_encode( array('success' => false, 'message' => 'Unable to connect to WooMobify server, please try again or contact support if the problem continues.') );

		}



    	die();

	}





	/**

	 * Fixed the navbar icon

	*/

	public function hook_css() {

		$output = "<style>#adminmenu #toplevel_page_dtc-woomobify .wp-menu-image img{padding-top:5px!important}</style>";

		echo $output;

	}



}



DTC_WooMobify_Settings::instance();