<?php if ( ! defined( 'ABSPATH' ) ) exit; 

/**
 * DanTheCoder - Innovative Web Solutions
 *
 * @author	DanTheCoder
 * @link	http://danthecoder.com
*/

?>

<div class="popup popup-categories">
	<div class="view navbar-fixed">
		<div class="pages">
			<div class="page">
				<div class="navbar">
					<div class="navbar-inner">
						<div class="center"><?php _e( 'Categories', 'woomobify' ); ?></div>
						<div class="right"><a href="#" class="button close-popup"><?php _e( 'close', 'woomobify' ); ?></a></div>
					</div>
				</div>

				<div class="page-content">

					<?php
				        $taxonomy = 'product_cat';
				        $orderby = 'name';  
				        $show_count = 1;
				        $pad_counts = 1;
				        $hierarchical = 1;
				        $title = '';  
				        $empty = 0;

				        $cat_args = array(
				            'taxonomy'     => $taxonomy,
				            'orderby'      => $orderby,
				            'show_count'   => $show_count,
				            'pad_counts'   => $pad_counts,
				            'hierarchical' => $hierarchical,
				            'title_li'     => $title,
				            'hide_empty'   => $empty
				        );

				        $categories_list = get_categories( $cat_args );
				    ?>

				    <?php if ( $categories_list ) { ?>
					    <div id="category-list" >
						    <div class="content-block-title"><?php _e( 'Shop by category', 'woomobify' ); ?></div>
						    <div class="list-block media-list bg-white">
						        <ul>
						            <?php foreach ($categories_list as $category) {
						                if( $category->category_parent == 0 ) {
						                    $sub_cat_args = array(
						                        'taxonomy'     => $taxonomy,
						                        'child_of'     => 0,
						                        'parent'       => $category->term_id,
						                        'orderby'      => $orderby,
						                        'show_count'   => $show_count,
						                        'pad_counts'   => $pad_counts,
						                        'hierarchical' => $hierarchical,
						                        'title_li'     => $title,
						                        'hide_empty'   => $empty
						                    );
						                    $sub_category_list = get_categories( $sub_cat_args );

						                    $category_thumbnail_id = get_woocommerce_term_meta($category->term_id, 'thumbnail_id', true);
											$category_image = wp_get_attachment_url($category_thumbnail_id);
						                ?>
											<?php if( $sub_category_list ) { ?>
						                        <li class="accordion-item">

						                            <a href="#" class="item-content item-link">
														<div class="item-media">
															<?php if ( $category_image ) { ?>
																<img src="<?= esc_url($category_image); ?>" alt="*">
															<?php } else { ?>
																<div class="icon-image theme-color-bg">
																	<?= (dtcwm_is_material() ? '<i class="material-icons">photo_library</i>' : '<i class="f7-icons">images</i>'); ?>
																</div>
															<?php } ?>
														</div>
														<div class="item-inner">
															<div class="item-title-row">
																<div class="item-title"><?= $category->name; ?></div>
															</div>
															<div class="item-subtitle"><?= $category->description; ?></div>
														</div>
						                            </a>

						                            <div class="accordion-item-content">
						                                <div class="content-block">
						                                    <div class="list-block">
						                                        <ul>
						                                            <?php foreach ($sub_category_list as $sub_category) { 
													                    $sub_cat_thumbnail_id = get_woocommerce_term_meta($sub_category->term_id, 'thumbnail_id', true);
																		$sub_cat_image = wp_get_attachment_url($sub_cat_thumbnail_id);
						                                           	?>

																	<li class="direct">

						                                                <a href="<?= get_term_link( $sub_category->slug, 'product_cat' ); ?>" class="item-link item-content">
						                                                    <div class="item-media">
						                                    				<?php if ( $sub_cat_image ) { ?>
																				<img src="<?= esc_url($sub_cat_image); ?>" alt="*">
																			<?php } else { ?>
																				<div class="icon-image theme-color-bg">
																					<?= (dtcwm_is_material() ? '<i class="material-icons">photo_library</i>' : '<i class="f7-icons">images</i>'); ?>
																				</div>
																			<?php } ?>
																			</div>
																			<div class="item-inner">
																				<div class="item-title-row">
																					<div class="item-title"><?= $sub_category->name; ?></div>
																					<div class="item-after list-badge"><span class="badge theme-color-bg"><?= $sub_category->count; ?></span></div>
																				</div>
																				<div class="item-subtitle"><?= $sub_category->description; ?></div>
																			</div>
						                                                </a>

						                                            </li>
						                                            <?php } ?>
						                                        </ul>
						                                    </div>
						                                </div>
						                            </div>
						                        </li>
						                    <?php } else { ?>
												<li class="direct">
													
													<a href="<?= get_term_link( $category->slug, 'product_cat' ); ?>" class="item-link item-content">
														<div class="item-media">
															<?php if ( $category_image ) { ?>
																<img src="<?= esc_url($category_image); ?>" alt="*">
															<?php } else { ?>
																<div class="icon-image theme-color-bg">
																	<?= (dtcwm_is_material() ? '<i class="material-icons">photo_library</i>' : '<i class="f7-icons">images</i>'); ?>
																</div>
															<?php } ?>
														</div>
														<div class="item-inner">
															<div class="item-title-row">
																<div class="item-title"><?= $category->name; ?></div>
																<div class="item-after list-badge"><span class="badge theme-color-bg"><?= $category->count; ?></span></div>
															</div>
															<div class="item-subtitle"><?= $category->description; ?></div>
														</div>
													</a>

												</li>
						                    <?php } ?>

						                <?php } ?>
						            <?php } ?>
						        </ul>
						    </div>
					    </div>
					<?php } else { ?>

						<div class="empty-state">
				            <div class="content-block text-center">

				                <div class="empty-icon">
				                	<?= (dtcwm_is_material() ? '<i class="material-icons">layers</i>' : '<i class="f7-icons">layers</i>'); ?>
				                </div>

				                <h2><?php _e( 'No Categories Found', 'woomobify' ); ?></h2>
				                <p><?php _e( "The category list is empty", "woomobify" ); ?></p>
				            
				            </div>
				        </div>

					<?php } ?>

				</div>
			</div>
		</div>
	</div>
</div>