<?php if ( ! defined( 'ABSPATH' ) ) exit; 

/**
 * DanTheCoder - Innovative Web Solutions
 *
 * @author	DanTheCoder
 * @link	http://danthecoder.com
*/

?>

<div class="popup popup-categories">
	<div class="view navbar-fixed">
		<div class="pages">
			<div class="page">
				<div class="navbar">
					<div class="navbar-inner">
						<div class="center"><?php _e( 'Categories', 'woomobify' ); ?></div>
						<div class="right"><a href="#" class="link close-popup"><?php _e( 'close', 'woomobify' ); ?></a></div>
					</div>
				</div>

				<div class="page-content">

					<?php
					    $taxonomy = 'product_cat';
					    $orderby = 'name';  
					    $show_count = 1;
					    $pad_counts = 1;
					    $hierarchical = 1;
					    $title = '';  
					    $empty = 0;

					    $cat_args = array(
					        'taxonomy'     => $taxonomy,
					        'orderby'      => $orderby,
					        'show_count'   => $show_count,
					        'pad_counts'   => $pad_counts,
					        'hierarchical' => $hierarchical,
					        'title_li'     => $title,
					        'hide_empty'   => $empty
					    );

					    $categories_list = get_categories( $cat_args );
					?>

					<?php if ( $categories_list ) { ?>

						<?php foreach ($categories_list as $category) {
					        $sub_cat_args = array(
					            'taxonomy'     => $taxonomy,
					            'child_of'     => 0,
					            'parent'       => $category->term_id,
					            'orderby'      => $orderby,
					            'show_count'   => $show_count,
					            'pad_counts'   => $pad_counts,
					            'hierarchical' => $hierarchical,
					            'title_li'     => $title,
					            'hide_empty'   => $empty
					        );
					        $sub_category_list = get_categories( $sub_cat_args );

					        $category_thumbnail_id = get_woocommerce_term_meta( $category->term_id, 'thumbnail_id', true );
							$category_image = wp_get_attachment_url( $category_thumbnail_id );
					    ?>

					    <a href="<?= get_term_link( $category->slug, 'product_cat' ); ?>">
							<div class="card theme-color-bg category-cards" style="background-image:url(<?= esc_url($category_image); ?>);">
								<div class="card-title"><?= $category->name; ?></div>
								<div class="card-subtitle"><?= $category->count; ?> <?php _e( 'Products', 'woomobify' ); ?></div>
							</div>
						</a>

						<?php } ?>

					<?php } else { ?>
					
						<div class="empty-state">
				            <div class="content-block text-center">

				                <div class="empty-icon">
				                	<?= (dtcwm_is_material() ? '<i class="material-icons">layers</i>' : '<i class="f7-icons">layers</i>'); ?>
				                </div>

				                <h2><?php _e( 'No Categories Found', 'woomobify' ); ?></h2>
				                <p><?php _e( "The category list is empty", "woomobify" ); ?></p>

				            </div>
				        </div>

					<?php } ?>

				</div>
			</div>
		</div>
	</div>
</div>