<?php 

/**
 * DanTheCoder - Innovative Web Solutions
 *
 * @author  DanTheCoder
 * @link    http://danthecoder.com
*/

global $settings_options;

if ( ! $settings_options['enable_left_panel'] ) {
    return;
}

?>

<div class="panel panel-left <?= (dtcwm_is_material() ? 'panel-cover' : 'panel-reveal'); ?>">

    <div class="sidemenu-header">
        <a class="close-panel" href="<?= get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>">
            
            <div class="sidemenu-avatar theme-color-text">
                <?= (dtcwm_is_material() ? '<i class="material-icons">account_circle</i>' : '<i class="f7-icons">person</i>'); ?>
            </div>

            <div class="sidemenu-info theme-color-text">
                <h3><?php _e( 'Welcome', 'woomobify' ); ?></h3>
                
                <?php 
                if ( is_user_logged_in() ) { 
                    $user = wp_get_current_user();
                        
                    echo $user->user_firstname.' '.$user->user_lastname; 
                    
                } else {

                     _e( 'Login or Sign Up', 'woomobify' );

                } ?>
            </div>

        </a>
    </div>

    <div class="content-block-title mt-1"><?php _e( 'Menu', 'woomobify' ); ?></div>

    <div id="side-menu" class="list-block">
        <?php wp_nav_menu( array( 'theme_location' => 'woomobify-menu' ) ); ?>
    </div>
    
</div>