<?php if ( ! defined( 'ABSPATH' ) ) exit; 

/**
 * DanTheCoder - Innovative Web Solutions
 *
 * @author	DanTheCoder
 * @link	http://danthecoder.com
*/

?>

<?php
    $taxonomy = 'product_cat';
    $orderby = 'name';  
    $show_count = 1;
    $pad_counts = 1;
    $hierarchical = 1;
    $title = '';  
    $empty = 0;

    $cat_args = array(
        'taxonomy'     => $taxonomy,
        'orderby'      => $orderby,
        'show_count'   => $show_count,
        'pad_counts'   => $pad_counts,
        'hierarchical' => $hierarchical,
        'title_li'     => $title,
        'hide_empty'   => $empty
    );

    $categories_list = get_categories( $cat_args );
?>

<?php foreach ($categories_list as $category) {
    $sub_cat_args = array(
        'taxonomy'     => $taxonomy,
        'child_of'     => 0,
        'parent'       => $category->term_id,
        'orderby'      => $orderby,
        'show_count'   => $show_count,
        'pad_counts'   => $pad_counts,
        'hierarchical' => $hierarchical,
        'title_li'     => $title,
        'hide_empty'   => $empty
    );
    $sub_category_list = get_categories( $sub_cat_args );

    $category_thumbnail_id = get_woocommerce_term_meta( $category->term_id, 'thumbnail_id', true );
	$category_image = wp_get_attachment_url( $category_thumbnail_id );
?>

<div class="content-block-title mb-1"><?php _e( 'Shop by category', 'woomobify' ); ?></div>
<a href="<?= get_term_link( $category->slug, 'product_cat' ); ?>">
	<div class="card theme-color-bg category-cards" style="background-image:url(<?= esc_url($category_image); ?>);">
		<div class="card-title"><?= $category->name; ?></div>
		<div class="card-subtitle"><?= $category->count; ?> <?php _e( 'Products', 'woomobify' ); ?></div>
	</div>
</a>

<?php } ?>