<?php if ( ! defined( 'ABSPATH' ) ) exit; 

/**
 * DanTheCoder - Innovative Web Solutions
 *
 * @author	DanTheCoder
 * @link	http://danthecoder.com
*/

?>

<?php
    // new arrivals products
    $new_args = array( 
        'post_type' => 'product', 
        'posts_per_page' => 8,
        'orderby' =>'date',
        'order' => 'DESC'
    );
    $products = new WP_Query( $new_args );
?>


<?php if ( $products->have_posts() ) { ?>
<div class="title-intro content-block-title mb-0"><?php _e( 'New Arrivals', 'woomobify' ); ?></div>
<div class="product-hscroll swiper-container swiper-init" data-auto-height="true" data-free-mode="true" data-slides-per-view="auto">
    <div class="swiper-wrapper">

        <?php while ( $products->have_posts() ) : $products->the_post(); global $product; ?>

        <div class="swiper-slide">
            <div class="card">
                <div class="card-content">
                    <a href="<?= get_the_permalink(); ?>">
                        <?php 
                        if ( has_post_thumbnail($products->post->ID) ) {
                            echo get_the_post_thumbnail( $products->post->ID, 'shop_catalog' ); 
                        } else {
                            echo '<img src="'.wc_placeholder_img_src().'"/>'; 
                        } ?>
                    </a>    
                    <div class="footer">
                        <div class="title"><?php the_title(); ?></div>
                        <?php if ( get_option( 'woocommerce_enable_review_rating' ) != 'no' ) { ?>
                            <div class="star-rating">
                                <span style="width:<?= ( ( $product->get_average_rating() / 5 ) * 100 ); ?>%"></span>
                            </div>
                        <?php } ?>
                        <div class="item-text product-price">
                            <span class="price"><?= wc_price( $product->get_price() ); ?></span>
                        </div>
                    </div>
               </div>
            </div>  
        </div>
        <?php endwhile; ?>

    </div>
</div>
<?php } wp_reset_postdata(); ?>