<div class="tab-pane fade" id="branding" role="tabpanel">

    <div class="card">
        <div class="card-block p-md-5">

            <div class="row">
                <label class="col-md-4 col-form-label"><?php _e('Website Name', 'woomobify'); ?></label>
                <div class="col-md-8">
                    <input class="form-control" name="site_name" type="text" value="<?= $settings_options['site_name']; ?>">
                    <small class="form-text text-muted"><?php _e('The name you want to have displayed for your website.', 'woomobify'); ?></small>
                </div>
            </div>

            <hr class="mb-4 mt-4">

            <div class="row">
                <label class="col-md-4 col-form-label"><?php _e('Footer Copyright', 'woomobify'); ?></label>
                <div class="col-md-8">
                    <textarea class="form-control" name="footer_copyright"><?= $settings_options['footer_copyright']; ?></textarea>
                    <small class="form-text text-muted"><?php _e('The pages footer text.', 'woomobify'); ?></small>
                </div>
            </div>

            <hr class="mb-4 mt-4">

            <div class="form-group">
                <h5 class="mb-0"><?php _e('Site Logo', 'woomobify'); ?></h5>
                <p><?php _e('Recommended size 175x40', 'woomobify'); ?></p>

                <div id='site_logo-preview' class="pb-2">
                    <img alt="" style="max-height: 60px; max-width: 220px; box-shadow: 0 1px 2px rgba(0,0,0,.1); background: #f8f8f8; padding: 4px;" src="<?= esc_url( $settings_options['site_logo'] ); ?>" />
                </div>

                <button type="button" data-identifier="site_logo" id="logo-upload" class="btn btn-xs btn-info btn-ladda action-image-upload" data-style="zoom-out"><span class="ladda-label"><?php _e('Upload', 'woomobify'); ?></span></button>
                <button type="button" id="site_logo-delete" <?php if ( ! $settings_options['site_logo'] ) { echo "style='display: none;'"; } ?> class="btn btn-danger btn-ladda action-image-delete" data-identifier="site_logo" data-style="zoom-out"><span class="ladda-label"><?php _e('Remove', 'woomobify'); ?></span></button>
            </div>

            <hr class="mb-4 mt-4">

            <div class="form-group">
                <?php
                    $favicon_url = '';
                    if ( $settings_options['favicon']['url'] ) {
                        $favicon_url = $settings_options['favicon']['url'].''.$settings_options['favicon']['name'].'.png'; 
                    }
                ?>

                <h5 class="mb-0"><?php _e('Favicon', 'woomobify'); ?></h5>
                <p><?php _e('Recommended size 512x512, it will be resize for different devices', 'woomobify'); ?></p>

                <span id='favicon-preview'>
                    <img alt="" style="max-height: 32px; max-width: 32px;" src="<?= esc_url( $favicon_url ); ?>" />
                </span>

                <button type="button" data-identifier="favicon" id="favicon-upload" class="btn btn-xs btn-info btn-ladda action-image-upload" data-style="zoom-out"><span class="ladda-label"><?php _e('Upload', 'dtcwm'); ?></span></button>
                <button type="button" id="favicon-delete" <?php if ( ! $favicon_url ) { echo "style='display: none;'"; } ?> class="btn btn-danger btn-ladda action-image-delete" data-identifier="favicon" data-style="zoom-out"><span class="ladda-label"><?php _e('Remove', 'woomobify'); ?></span></button>
                <small id="favicon-error" class="text-danger mt-2"></small>
            </div>

            <hr class="mb-4 mt-4">

            <h5 class="mb-3"><?php _e('Color Scheme', 'woomobify'); ?></h5>

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Body Background', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-body_bg" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['body_bg']; ?>">
                </div>
            </div>

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Primary Color', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-primary" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['primary']; ?>">
                </div>
            </div>

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Links Color', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-links" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['links']; ?>">
                </div>
            </div>


            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Browser Address Bar', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-address_bar" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['address_bar']; ?>">
                </div>
            </div>

            <hr class="mb-4 mt-4">

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Navbar Text', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-navbar_text" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['navbar_text']; ?>">
                </div>
            </div>

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Navbar Background', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-navbar_bg" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['navbar_bg']; ?>">
                </div>
            </div>
            
            <hr class="mb-4 mt-4">

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Button Text', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-button_text" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['button_text']; ?>">
                </div>
            </div>

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Button Background', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-button_bg" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['button_bg']; ?>">
                </div>
            </div>

            <hr class="mb-4 mt-4">

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Cart Badge Text', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-cart_badge_text" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['cart_badge_text']; ?>">
                </div>
            </div>

            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Cart Badge Background', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-cart_badge_bg" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['cart_badge_bg']; ?>">
                </div>
            </div>

            <hr class="mb-4 mt-4">


            <div class="form-group row pb-3">
                <label class="col-md-6 col-form-label"><?php _e('Sale Label Text', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-label_text" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['label_text']; ?>">
                </div>
            </div>

            <div class="form-group row">
                <label class="col-md-6 col-form-label"><?php _e('Sale Label Background', 'woomobify'); ?></label>
                <div class="col-md-2">
                    <input type="text" name="color-label_bg" class="form-control colorpicker" data-preferred-format="hex" value="<?= $settings_options['color_scheme']['label_bg']; ?>">
                </div>
            </div>

        </div>
    </div>

</div>