<?php
/**
 * Empty cart page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cart-empty.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wc_print_notices();

?>

<div class="page">

    <?php do_action( 'woomobify_navbar' ); ?>

    <?php do_action( 'woomobify_toolbar' ); ?>

    <div class="page-content">

		<div class="empty-state">
            <div class="content-block text-center">

                <div class="empty-icon">
                	<?= (dtcwm_is_material() ? '<i class="material-icons">shopping_cart</i>' : '<i class="icon dtc-ios-cart"></i>'); ?>
                </div>
                <h2><?php _e( 'Your cart is empty', 'woomobify' ); ?></h2>
                <p><?php _e( "But doesn't have to be", "woomobify" ); ?></p>

                <?php do_action( 'woocommerce_cart_is_empty' ); ?>

                <a href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>" class="button button-big button-fill button-round button-raised"><?php _e( "Start Shopping", "woomobify" ); ?></a>
            </div>
        </div>

    </div>

</div>