<?php
/**
 * Checkout billing information form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-billing.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.9
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/** @global WC_Checkout $checkout */

?>
<div class="woocommerce-billing-fields">
	
	<?php if ( wc_ship_to_billing_address_only() && WC()->cart->needs_shipping() ) : ?>
		<div class="content-block-title"><?php _e( 'Billing &amp; Shipping', 'woocommerce' ); ?></div>
	<?php else : ?>
		<div class="content-block-title"><?php _e( 'Billing details', 'woocommerce' ); ?></div>
	<?php endif; ?>


	<?php do_action( 'woocommerce_before_checkout_billing_form', $checkout ); ?>

	<div class="woocommerce-billing-fields__field-wrapper content-block bg-white block-shadow">
		<div class="content-block-inner pb-0">
			<div class="custom-inputs">
				<?php foreach ( $checkout->get_checkout_fields( 'billing' ) as $key => $field ) : ?>
					<?php woocommerce_form_field( $key, $field, $checkout->get_value( $key ) ); ?>
				<?php endforeach; ?>
			</div>
			<div class="clearfix"></div>
		</div>
	</div>

	<?php do_action( 'woocommerce_after_checkout_billing_form', $checkout ); ?>

</div>

<?php if ( ! is_user_logged_in() && $checkout->is_registration_enabled() ) : ?>
	<div class="woocommerce-account-fields mb-3">
		<?php if ( ! $checkout->is_registration_required() ) : ?>

		<div class="shipping-block bg-white">
	        <div class="row">
	        	<div class="col-80">
	        		<div class="content-block-title"><?php _e( 'Create an account?', 'woocommerce' ); ?></div>
	        	</div>
	        	<div class="col-20">
					<div class="item-input switcher">
						<label class="label-switch">
							<input class="woocommerce-form__input woocommerce-form__input-checkbox input-checkbox" id="createaccount" <?php checked( ( true === $checkout->get_value( 'createaccount' ) || ( true === apply_filters( 'woocommerce_create_account_default_checked', false ) ) ), true ) ?> type="checkbox" name="createaccount" value="1" /> 
							<div class="checkbox"></div>
						</label>
					</div>
	        	</div>
			</div>
		</div>

		<?php endif; ?>

		<?php do_action( 'woocommerce_before_checkout_registration_form', $checkout ); ?>

		<?php if ( $checkout->get_checkout_fields( 'account' ) ) : ?>

			<div class="create-account content-block mt-0 bg-white block-shadow">
				<div class="content-block-inner">

					<div class="custom-inputs">
						<?php foreach ( $checkout->get_checkout_fields( 'account' )  as $key => $field ) : ?>
							<?php woocommerce_form_field( $key, $field, $checkout->get_value( $key ) ); ?>
						<?php endforeach; ?>
						<div class="clear-fix"></div>
					</div>

				</div>
			</div>

		<?php endif; ?>

		<?php do_action( 'woocommerce_after_checkout_registration_form', $checkout ); ?>
	</div>
<?php endif; ?>