<?php
/**
 * My Account Dashboard
 *
 * Shows the first intro screen on the account dashboard.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/dashboard.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>

<div class="page">

	<?php do_action( 'woomobify_navbar' ); ?>

    <?php do_action( 'woomobify_toolbar' ); ?>

    <div class="page-content">

		<div class="content-block-title"><?php _e( 'Hello', 'woomobify' ); ?> <?= $current_user->display_name; ?> <a href="<?= esc_url( wc_logout_url( wc_get_page_permalink( 'myaccount' ) ) ); ?>" class="pull-right"><?php _e( 'Sign out', 'woomobify' ); ?></a></div>
		<div class="content-block bg-white block-shadow">
			<div class="content-block-inner">
				<?php _e( 'From your account dashboard you can view your recent orders, manage your shipping and billing addresses and edit your password and account details.', 'woomobify' ); ?>
			</div>
		</div>

		<?php do_action( 'woocommerce_account_navigation' ); ?>

		<?php
			/**
			 * My Account dashboard.
			 *
			 * @since 2.6.0
			 */
			do_action( 'woocommerce_account_dashboard' );

			/**
			 * Deprecated woocommerce_before_my_account action.
			 *
			 * @deprecated 2.6.0
			 */
			do_action( 'woocommerce_before_my_account' );

			/**
			 * Deprecated woocommerce_after_my_account action.
			 *
			 * @deprecated 2.6.0
			 */
			do_action( 'woocommerce_after_my_account' );

		?>

		<?php do_action( 'woomobify_footer' ); ?>

	</div>
</div>